using SushiBarDataModels.Models;
using System.ComponentModel;

namespace SushiBarContracts.ViewModels
{
    public class SushiViewModel : ISushiModel
    {
        public int Id { get; set; }
        [DisplayName("Название суши")]
        public string SushiName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> SushiComponents
        {
            get;
            set;
        } = new();

    }
}
